## Apache Zeta Components Manual :: Docs For Class ezcDocumentBBCodeNode

### Document::ezcDocumentBBCodeNode

### Class ezcDocumentBBCodeNode

Struct for BBCode document document abstract syntax tree nodes

Source for this file: /Document/src/document/bbcode/node.php

    ezcBaseStruct
       |
       --ezcDocumentBBCodeNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentBBCodeClosingTagNode | Struct for BBCode document inline abstract syntax tree nodes
ezcDocumentBBCodeDocumentNode | Struct for BBCode document abstract syntax tree root nodes
ezcDocumentBBCodeListEndNode | Struct for BBCode document list end abstract syntax tree nodes
ezcDocumentBBCodeInlineLiteralNode | Struct for BBCode document inline literal abstract syntax tree nodes
ezcDocumentBBCodeTagNode | Struct for BBCode document inline abstract syntax tree nodes
ezcDocumentBBCodeBlockLevelNode | Struct for BBCode document block level abstract syntax tree nodes
ezcDocumentBBCodeTextNode | Struct for BBCode document abstract syntax tree text nodes

### Member Variables

public int | `$line` Line of node in source file.
public mixed | `$nodes = array()` Child nodes
public int | `$position` Character position of node in source file.
public ezcDocumentBBCodeToken | `$token = null` Optional reference to token, not available for all nodes.

### Method Summary

public void | `__construct( $token , $type )` Construct BBCode node

### Methods

#### __construct

void __construct( ezcDocumentBBCodeToken $token , int $type )

Construct BBCode node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$token` | ezcDocumentBBCodeToken |
`$type` | int |

Documentation generated by phpDocumentor 1.4.3